Syntax.Tokenizer
Keywords: uk.ac.ic.doc.automed.reps.Syntax.Tokenizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class Syntax.Tokenizer

    java.lang.Object
      java.io.StreamTokenizer
          uk.ac.ic.doc.automed.reps.Syntax.Tokenizer

Enclosing class:
  Syntax

    public static class Syntax.Tokenizer

extends java.io.StreamTokenizer

Field Summary

Fields inherited from class java.io.StreamTokenizer
`nval, sval, TT_EOF, TT_EOL, TT_NUMBER, TT_WORD, ttype`

Constructor Summary
`Syntax.Tokenizer(java.io.Reader rdr)`

Method Summary
`Syntax.Token` | `getCurrentToken()`
`Syntax.Token` | `getCurrentToken(int exp)`
`Syntax.Token` | `getCurrentToken(int lexp, int uexp)`
`Syntax.Token` | `getNextToken()`
`Syntax.Token` | `getNextToken(int exp)`
`Syntax.Token` | `getNextToken(int lexp, int uexp)`
`int` | `safeNextToken()`

Methods inherited from class java.io.StreamTokenizer
`commentChar, eolIsSignificant, lineno, lowerCaseMode, nextToken, ordinaryChar, ordinaryChars, parseNumbers, pushBack, quoteChar, resetSyntax, slashSlashComments, slashStarComments, toString, whitespaceChars, wordChars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Syntax.Tokenizer

    public Syntax.Tokenizer(java.io.Reader rdr)

Method Detail

### getNextToken

    public Syntax.Token getNextToken(int lexp,
                                     int uexp)
                              throws SyntaxException

  Throws:
    `SyntaxException`

### getNextToken

    public Syntax.Token getNextToken(int exp)
                              throws SyntaxException

  Throws:
    `SyntaxException`

### safeNextToken

    public int safeNextToken()
                      throws SyntaxException

  Throws:
    `SyntaxException`

### getNextToken

    public Syntax.Token getNextToken()
                              throws SyntaxException

  Throws:
    `SyntaxException`

### getCurrentToken

    public Syntax.Token getCurrentToken(int lexp,
                                        int uexp)
                                 throws SyntaxException

  Throws:
    `SyntaxException`

### getCurrentToken

    public Syntax.Token getCurrentToken(int exp)
                                 throws SyntaxException

  Throws:
    `SyntaxException`

### getCurrentToken

    public Syntax.Token getCurrentToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD